Subject: Re: [PATCH net v2] bonding: Fix ARP monitor validation

From: Jay Vosburgh <[email-masked]>
Date: Wed, 03 Feb 2016 12:23:37 -0800

Jarod Wilson <[email-masked]> wrote:
[...]
>This sounds suspiciously like the same problem Uwe was encountering[*] and
>attempting to solve. Uwe, can you give this patch a try?
>
>[*] = http://marc.info/?l=linux-netdev&m=144416122705850&w=2

	Agreed; my apologies for not Cc'ing you, Uwe.

	FWIW, the "Sometimes, the issue sorts itself out after a while"
Uwe reported is likely due to something causing a switch flood (TCN or
clearing of the MAC table); in that case, the ARP reply is sent to all
ports, so the "expected" curr_arp_slave receives the ARP reply.

	-J

---
	-Jay Vosburgh, [email-masked]